run_netsocktests from net in ubuntu_kernel_selftests failed with Socket type not supported

Bug #1830016 reported by Po-Hsu Lin on 2019-05-22
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-kernel-tests
Undecided
Unassigned
linux (Ubuntu)
Undecided
Marcelo Cerri
linux-aws (Ubuntu)
Undecided
Unassigned

Bug Description

After fixing 1825777, the run_netsocktests is failing correctly, it's failing with:
    --------------------
    running socket test
    --------------------
    socket(44, 0, 0) expected err (Address family not supported by protocol) got (Socket type not supported)
    [FAIL]

ProblemType: Bug
DistroRelease: Ubuntu 18.10
Package: linux-image-4.18.0-20-generic 4.18.0-20.21
ProcVersionSignature: User Name 4.18.0-20.21-generic 4.18.20
Uname: Linux 4.18.0-20-generic x86_64
AlsaDevices:
 total 0
 crw-rw---- 1 root audio 116, 1 May 22 09:45 seq
 crw-rw---- 1 root audio 116, 33 May 22 09:45 timer
AplayDevices: Error: [Errno 2] No such file or directory: 'aplay': 'aplay'
ApportVersion: 2.20.10-0ubuntu13.3
Architecture: amd64
ArecordDevices: Error: [Errno 2] No such file or directory: 'arecord': 'arecord'
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
Date: Wed May 22 10:31:17 2019
IwConfig: Error: [Errno 2] No such file or directory: 'iwconfig': 'iwconfig'
Lsusb: Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
MachineType: QEMU Standard PC (i440FX + PIIX, 1996)
PciMultimedia:

ProcFB: 0 cirrusdrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.18.0-20-generic root=UUID=2a4b0342-a2dd-4feb-b3e2-9644ca1c4a60 ro
RelatedPackageVersions:
 linux-restricted-modules-4.18.0-20-generic N/A
 linux-backports-modules-4.18.0-20-generic N/A
 linux-firmware 1.175.4
RfKill: Error: [Errno 2] No such file or directory: 'rfkill': 'rfkill'
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 04/01/2014
dmi.bios.vendor: SeaBIOS
dmi.bios.version: Ubuntu-1.8.2-1ubuntu1
dmi.chassis.type: 1
dmi.chassis.vendor: QEMU
dmi.chassis.version: pc-i440fx-xenial
dmi.modalias: dmi:bvnSeaBIOS:bvrUbuntu-1.8.2-1ubuntu1:bd04/01/2014:svnQEMU:pnStandardPC(i440FX+PIIX,1996):pvrpc-i440fx-xenial:cvnQEMU:ct1:cvrpc-i440fx-xenial:
dmi.product.name: Standard PC (i440FX + PIIX, 1996)
dmi.product.version: pc-i440fx-xenial
dmi.sys.vendor: QEMU

Po-Hsu Lin (cypressyew) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Changed in linux (Ubuntu Cosmic):
status: New → Confirmed
Sean Feole (sfeole) on 2019-05-22
Changed in ubuntu-kernel-tests:
status: New → Confirmed
Sean Feole (sfeole) wrote :

affects cosmic, AWS cloud, 4.18.0-1017.19-aws

Changed in linux-aws (Ubuntu Cosmic):
status: New → Incomplete
Changed in linux-aws (Ubuntu):
status: New → Confirmed
Changed in linux-aws (Ubuntu Cosmic):
status: Incomplete → Confirmed
tags: added: arm64
tags: added: aws
Po-Hsu Lin (cypressyew) on 2019-06-24
tags: added: linux-kvm sru-20190603 ubuntu-kernel-selftests
Po-Hsu Lin (cypressyew) wrote :

Passed with B-5.0 and D-5.0
Didn't see this with B-4.15 as well.

So I am gonna to call this fixed.

Changed in ubuntu-kernel-tests:
status: Confirmed → Fix Released
Changed in linux (Ubuntu):
status: Confirmed → Fix Released
no longer affects: linux (Ubuntu Cosmic)
no longer affects: linux-aws (Ubuntu Cosmic)
Changed in linux-aws (Ubuntu):
status: Confirmed → Fix Released
Marcelo Cerri (mhcerri) on 2019-09-16
Changed in linux (Ubuntu):
assignee: nobody → Marcelo Cerri (mhcerri)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers